GCLOUD_COMPUTE_NETWORKS_SWITCH-MODE(1)

NAME

gcloud compute networks switch-mode - switch the mode of a Google Compute Engine network

SYNOPSIS

gcloud compute networks switch-mode NAME --mode=MODE [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute networks switch-mode is used to change the mode of a network. Currently, only changing from auto to custom mode is supported.

POSITIONAL ARGUMENTS

    NAME
        The name of the network for which to switch mode.

REQUIRED FLAGS

    --mode=MODE
        The target mode of the network. Only support "custom" now.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To switch NETWORK to custom subnet mode, run:
    $ gcloud compute networks switch-mode NETWORK --mode custom